"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = void 0;
var visitor_1 = __importDefault(require("./visitor"));
var options_1 = require("./options");
var plugin = function (babel) { return ({
    name: 'babel-platform-resolver',
    pre: function (file) {
        this.babel_platform_resolver_visited_nodes = new Set();
        this.types = babel.types;
        var current_file = file.opts.filename;
        this.normalized_options = (0, options_1.normalize_options)(this.opts);
    },
    post: function () {
        this.babel_platform_resolver_visited_nodes.clear();
    },
    visitor: visitor_1.default,
}); };
exports.default = plugin;
